<link href="../markdown.css" rel="stylesheet"></link>

<title>11.3. Applications of distributions</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\supp}{\operatorname{supp}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$



##[11.3. Applications of distributions](id:sect-11.3)
____________________________

> 1.  [Linear operators and their Schwartz kernels](#sect-11.3.1)
> 2.  [Densities](#sect-11.3.2)
> 3.  [Laplace equation](#sect-11.3.3)
> 4.  [Diffusion equation](#sect-11.3.4)
> 5.  [Wave equation](#sect-11.3.5)


###[Linear operators and their Schwartz kernels](id:sect-11.3.1)

During this course we considered many linear operators: differential operators
like $u\to Lu:= au\_{xx}+ 2bu\_{xy}+ cu$ and integral operators
\begin{equation}
u(x)\to (Lu)(x):= \int K(x,y)u(y)\, dy
\label{eq-11.3.1}
\end{equation}
(recall that solutions of IVP, BVP and IBVP for PDEs was often given in such form). For integral operators $K(x,y)$ is called *(integral) kernel of operator $L$* (not to be confused with the *kernel of operator $L$* which is $N(L)=\\{u:\, Lu=0\\}$.

L.Schwartz proved a remarkable theorem showing that each linear operator is in some sense integral operator:

**[Theorem 1.](id:thm-11.3.1)**

a. Let $L:\mathcal{D}(\Omega\_1)\mapsto \mathcal{D}'(\Omega\_2)$ be a linear continuous operator (the latter means that if $u\_n\to u$ in $\mathcal{D}(\Omega\_1)$ then $Lu\_n\to Lu$ in $\mathcal{D}'(\Omega\_2)$). Then there exists a unique $K\in \mathcal{D}'(\Omega\_2\times \Omega\_1)$ such that for any $u\in \mathcal{D}(\Omega\_1)$ and $v\in \mathcal{D}(\Omega\_2)$
\begin{equation}
(Lu)(v)= K (v\otimes u)
\label{eq-11.3.2}
\end{equation}
with $(v\otimes u)(x,y)=v(x)u(y)$ (then
$(v\otimes u)\in \mathcal{D}(\Omega\_2\times \Omega\_1)$).
b. Conversely, if $K\in \mathcal{D}'(\Omega\_2\times \Omega\_1)$ then there exists a unique linear continuous operator
$L:\mathcal{D}(\Omega\_1)\mapsto \mathcal{D}'(\Omega\_2)$ such that (\ref{eq-11.3.2}) holds.
<!--\end{theorem}-->

**[Definition 1.](id:definition-11.3.1)**
Such $K$ is called *Schwartz kernel of operator $L$*.
<!--\end{definition}-->

**[Example 1.](id:example-11.3.1)**

a. For integral operator (\ref{eq-11.3.1}) Schwartz kernel is $K(x,y)$;
b. For $I:u\mapsto u$ Schwartz kernel is $\delta(x-y)$;
c. In $1$-dimensional case for operator of differentiation $u\mapsto u'$ Schwartz kernel is $\delta(x-y)$ (dimension is $1$); similarly in multi-dimensional case $\partial\_{x\_j}:u\mapsto u\_{x\_j}$ Schwartz kernel is $\delta\_{x\_j} (x-y)=-\delta\_{y\_j} (x-y)$.
d. For higher order derivatives we have the same picture: In $1$-dimensional case for operator of second differentiation $u\mapsto u'$ Schwartz kernel is $\delta(x-y)$ (dimension is $1$); similarly in multi-dimensional case $\partial\_{x\_j}\partial{\_{x\_k}}:u\mapsto u\_{x\_jx\_k}$ Schwartz kernel is $\delta\_{x\_jx\_k}(x-y)=-\delta\_{x\_jy\_k}(x-y)=\delta\_{y\_jy_k}(x-y)$.
<!--\end{example}-->

More examples are coming.

###[Densities](id:sect-11.3.2)

In Physics you considered masses or charges at several points (*atom* masses or charges) and continuously distributed. In the Probability Theory the same was for probabilities. Continuously distributed masses, charges or probabilities had densities while atom masses, charges or probabilities had not.

**[Remark 1.](id:remark-11.3.1)**
For those who took Real Analysis: in fact densities were assigned only to *absolutely continuous*, not to *singular continuous* distributions. But it does not matter here.
<!--\end{remark}-->

The theory of distributions allows us a unified approach. Consider $1$-dimensional case first. Let $Q(x)$ be a charge of $(-\infty, x)$. Similarly, in probability theory let $P(x)$ be a probability to fall into $(-\infty, x)$. Both $Q(x)$ and $P(x)$ are functions of distribution (of charge or probability). If they were smooth functions then their derivatives would be densities. But even if they are not we can differentiate them in the sense of distributions!

Similarly, in $d$-dimensional case for $x=(x\_1,x\_2,\ldots,x\_d)$ we can introduce $d$-dimensional functions of distributions: let $Q(x)$ be a charge of $(-\infty, x\_1)\times (-\infty, x\_2)\times \ldots \times (-\infty, x\_d)$ or probability to fall into this set. Then
\begin{equation}
p(x)=\partial\_{x\_1}\partial\_{x\_2}\cdots \partial\_{x\_d}P(x)
\label{eq-11.3.3}
\end{equation}
is a density.

**[Example 2.](id:example-11.3.2)**

a. For charge or probability $q$ concentrated in a single point $a$ the density is $q\delta (x-a)$. If charges $q\_1,\ldots, q\_N$ are concentrated in the points $a\_1,\ldots, a\_N$ then a density is
$\sum\_{1\le n\le N}q\_n \delta(x-a\_N)$.
b. If the charge or probability is concentrated on the plane $\\{x\_1=a\_1\\}$ but on this plane it is distributed with a density $p(x\_2,\ldots , x\_d)$ then $d$-dimensional density is $\delta(x\_1-a\_1)p(x\_2,\ldots , x\_d)$.
c. We can "mix and match" continuously distributed and concentrated at points, lines and surfaces charges or probabilities which allows us in the equations involving densities not to distinguish between cases.
<!--\end{example}-->

###[Laplace equation](id:sect-11.3.3)

We know that function
$g(x)=\left\\{\begin{aligned}  |x|^{2-d}& &&d\ne 2,\\\\
\ln |x|& &&d=2\end{aligned}\right.$ satisfies Laplace equation as $x\ne 0$. Now we need to check what happens at $x=0$, Namely, we need to calculate $\Delta g$ in the sense of distributions and to do this we consider
\begin{equation\*}
g(\Delta \varphi)= \int g(x) \Delta \varphi(x)\, dx = \lim\_{\varepsilon \to 0}
\int\_{\Omega\_\varepsilon}  g(x) \Delta \varphi(x)\, dx
\end{equation\*}
where $\Omega\_\varepsilon =\mathbb{R}^d\setminus B(0,\varepsilon)$. The same calculations as earlier in [Subsection 7.2.2](../Chapter7/S7.2.html#sect-7.2.2)
show that it is equal to (we skip limit temporarily)
\begin{equation\*}
\int\_{\Omega\_\varepsilon} (\Delta  g(x)) \varphi(x)\, dx +
\int\_{S(0,\varepsilon)} \Bigl[ (-\partial\_r \varphi(x)) g(x)+ \varphi(x)\partial\_r g(x)\Bigr]\, d\sigma
\end{equation\*}
and since $\Delta g=0$ in $\Omega\_\varepsilon}$ the first term is $0$ and the second one is
\begin{equation\*}
\int\_{S(0,\varepsilon)} \Bigl[ (-\varepsilon^{2-d}\partial\_r \varphi(x))  +  \underbracket{(2-d)\varepsilon^{1-d}}\varphi(x)\Bigr]\, d\sigma
\end{equation\*}
where for $d=2$ selected expression should be replaced by $\varepsilon^{-1}$. Taking the limit we see that since the area of $S(0,\varepsilon)$ is $\sigma\_d\varepsilon^{-1}$ the first term disappears and the second becomes
$(2-d)\sigma\_d \varphi(0)$ as $d\ne 2$ and $\sigma\_2 \varphi(0)$ where $\sigma\_d$ is an "area" of $S(0,1)$.

Therefore
\begin{equation}
\Delta G (x)= \delta (x)
\label{eq-11.3.4}
\end{equation}
where
\begin{equation}
 G (x)=  \left\\{\begin{aligned}
 -(d-2)^{-1}\sigma\_d^{-1} |x|^{2-d}& &&d\ne 2,\\\\
(2\pi)^{-1}\ln |x|& &&d=2\end{aligned}\right. .
\label{eq-11.3.5}
\end{equation}
But then $u=G\* f$ solves $\Delta u=f$ in $\mathbb{R}^d$. Indeed, as $\Delta$ has constant coefficients and derivatives could be applied to any "factor" in the convolution $\Delta (G\*f)=(\Delta G)\*f=\delta\*f=f$.

**[Remark 2.](id:remark-11.3.2)**

a. We get $G(x)= \frac{1}{2}|x|$ as $d=1$, $G(x)=\frac{1}{2\pi}\ln |x|$ as $d=2$ and  $-\frac{1}{4\pi} |x|^{-1}$ as $d=3$;
b. As $d\ge 3$ $G(x)$ is a unique solution to (\ref{eq-11.3.4}) under additional condition $G(x)=o(1)$ as $|x|\to \infty$ (or $G(x)=O(|x|^{2-d})$ as
$|x|\to \infty$;
c. Up to a numerical factor one can guess $G(x)$ (as $d\ge 3$) from the following arguments: $\delta(x)$ is spherically symmetric positive homogeneous of degree $-d$, $\Delta $ is spherically symmetric and it decreases degree of homogeneity by $2$ so $G$ must be spherically symmetric positive homogeneous of degree $2-d$. These arguments fail as $d=2$ as because there is no unique natural solution (solutions differ by a constant).
<!--\end{remark}-->

**[Remark 3.](id:remark-11.3.3)**
As $d=3$ from [Subsection 9.1.5](../Chapter9/S9.1.html#sect-9.1.5) we can guess that $G(x,\omega) = -\frac{1}{4\pi}|x|^{-1}e^{\mp i\omega |x|}$ solves Helmholtz equation with Sommerfeld radiating conditions
\begin{align}
&\\!\bigl(\Delta +\omega^2\bigr)G = \delta(x) \label{eq-11.3.6},\\\\
&G= o(1) &&\text{as  }|x|\to \infty,\label{eq-11.3.7}\\\\
&(\partial\_r   \pm i\omega  )G= o( r^{-1}) &&\text{as  }|x|\to \infty. \label{eq-11.3.8}
\end{align}
<!--\end{remark}-->

**[Remark 4.](id:remark-11.3.4)**
Similarly Green function $G(x,y)$ for Dirichlet boundary problem in $\Omega$ satisfies
\begin{align}
&\Delta\_x G = \delta(x-y) \label{eq-11.3.9},\\\\
&G|\_{x\in \partial \Omega}= 0.\label{eq-11.3.10}
\end{align}
and Green function $G(x,y)$ for Robin boundary problem in $\Omega$ satisfies the same equation but with Robin boundary condition
\begin{equation}
(\partial\_{\nu\_x} + \alpha)G|\_{x\in \partial \Omega}= 0.\label{eq-11.3.11}
\end{equation}
Here $x,y\in \Omega$.
<!--\end{remark}-->

###[Diffusion equation](id:sect-11.3.4)

Consider Green function for diffusion equation im $\mathbb{R}^d$:
\begin{equation}
G(x,t) = (4\pi kt)^{-\frac{d}{2}} e^{-\frac{|x|^2}{4kt}}.
\label{eq-11.3.12}
\end{equation}
It satisfies diffusion equation $G\_t= k\Delta G$ as $t>0$ and as $t\to 0$ it tends to $\delta (x)$.

Further, if we define
\begin{equation}
H^+(x,t)= \left\\{\begin{aligned}
G(x,t)&&&t >0,\\\\
0&&&t\le 0
\end{aligned}\right.
\label{eq-11.3.13}
\end{equation}
we see that
\begin{equation}
(\partial\_t- k\Delta)H^+(x,t)=\delta(x)\delta(t).
\label{eq-11.3.14}
\end{equation}

Similarly
\begin{equation}
G(x,t) = (4\pi k|t|)^{-\frac{d}{2}} e^{\mp \frac{id\pi}{4}} e^{-\frac{|x|^2}{4kit}}\qquad\text{as }\pm t>0
\label{eq-11.3.15}
\end{equation}
satisfies  Schrödinger equation $G\_t=ik\Delta G$ (even as $t=0$) and as
$t\to 0$ it tends to $\delta (x)$.  Further, if we define
\begin{equation}
H^\pm (x,t)= \left\\{\begin{aligned}
\pm G(x,t)&&&\pm t >0,\\\\
0&&&\pm t\le 0
\end{aligned}\right.
\label{eq-11.3.16}
\end{equation}
we see that
\begin{equation}
(\partial\_t- ik\Delta)H^\pm (x,t)=\delta(x)\delta(t).
\label{eq-11.3.17}
\end{equation}

###[Wave equation](id:sect-11.3.5)

It follows from [Kirchhoff formula](../Chapter9/S9.1.html#mjx-eqn-eq-9.1.12) that
\begin{equation}
G(x,t)= \frac{1}{4\pi c^2 |t|}\bigl( \delta (|x|-ct)-\delta (|x|+ct)\bigr)
\label{eq-11.3.18}
\end{equation}
satisfies $3$-dimensional wave equation $G\_{tt}-c^2\Delta G=0$ and also
\begin{equation}
G(x,t)\bigr|\_{t=0}= 0, \qquad G(x,t)\bigr|\_{t=0}= \delta (x).
\label{eq-11.3.19}
\end{equation}
It follows from ([9.1.15](../Chapter9/S9.1.html#mjx-eqn-eq-9.1.15)) that
\begin{equation}
G(x,t)= \pm \frac{1}{2\pi c } (c^2t^2-|x-y|^2)\_+^{-\frac{1}{2}}
\label{eq-11.3.20}
\end{equation}
satisfies $2$-dimensional wave equation $G\_{tt}-c^2\Delta G=0$ and also
(\ref{eq-11.3.19}); here $z\_+^\lambda= z^\lambda \theta(z)$; recall that $\theta(z)$ is a Heaviside function.

Formulae ([9.1.23](../Chapter9/S9.1.html#mjx-eqn-eq-9.1.23)) and ([9.1.24](../Chapter9/S9.1.html#mjx-eqn-eq-9.1.24)) allow us to construct $G(x,t)$ for odd $d\ge 3$ and even $d\ge 2$.

[D'Alembert formula](../Chapter2/S2.3.html#mjx-eqn-eq-2.3.14) allows us to construct as $d=1$:
\begin{equation}
G(x,t)= \frac{1}{2c}\bigl( \theta (x+ct)-\theta (x-ct)\bigr).
\label{eq-11.3.21}
\end{equation}

Defining $H^\pm (x,t)$ by (\ref{eq-11.3.16}) we get
\begin{equation}
(\partial^2\_t- c^2\Delta)H^\pm (x,t)=\delta(x)\delta(t).
\label{eq-11.3.22}
\end{equation}

**[Definition 2.](id:definition-11.3.2)**
If $H$ satisfies $LH=\delta (x-y)$ it is called *fundamental solution* to $L$*.
<!--\end{definition}-->

---------------

[$\Leftarrow$](./S11.2.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](./S11.4.html)


