<link href="../markdown.css" rel="stylesheet"></link>

<title>Misc problems</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\supp}{\operatorname{supp}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$



##[Problems](id:sect-SPX)
____________________________

**Problem**
Consider variational problem under constrain:
\begin{align}
&\Phi(u):=\frac{1}{2}\int\_0^2 u\_{xx}^2\,dx,\label{eq-10.1}\\\\
&\Psi(u)= \frac{1}{2}\int\_0^2 u\_{x}^2\,dx =1,\label{eq-10.2}
\end{align}

a. and also:
\begin{equation}
u(0)=u'(0)=u(2)=u'(2)=0.\label{eq-10.3}
\end{equation}
b. Replace (\ref{eq-10.3}) by
\begin{equation}
u(0)=u(2)=0.\label{eq-10.3b}
\end{equation}
c. Replace (\ref{eq-10.3}) by
\begin{equation}
\int\_0^2 u\,dx=0\label{eq-10.3c}
\end{equation}

<!-- -->

1. Write down Euler–Lagrange equation $\delta (\Phi-\lambda \Psi)=0$.
2. In case of (b),(c) derive missing boundary conditions.
3. Under  boundary conditions  solve it and find out eigenvalues $\lambda$ for each solution exists.

*Hint:* (i) it will be 4th order ODE.

*Hint:* (ii) Changing interval to $(-1,1)$ and observing that ODE and boundary conditions are symmetric (survive $x\mapsto -x$) one can consider separately even and odd eigenfunctions and corresponding eigenvalues.

Consider variational problem
\begin{equation}
\Phi(u):=\frac{1}{2}\int\_\Omega (u\_x^2 + y u\_y^2- 2 yu)\,dxdy \label{eq-10.4}
\end{equation}
where $\Omega=\\{ (x,y):\, 0 \< x\< 1, 0 \< y \< 1\\}$.

a. Write down Euler-Lagrange equation
b. Write down all boundary conditions for it.


**Problem**
Consider distributions now. Calculate right from the definition

a. $x^3\delta''(x)$;
b. $x^2\delta''(x)$;
c. $x^2\delta '''(x)$.

The results may be written through $\delta$-function or its derivatives of the smallest possible order.


**Problem**
Find Fourier transform of $\theta(x)$ (Heaviside function).

**Problem**
Consider wave equation
\begin{equation}
\rho u\_{tt} - (k(x)u\_x)\_x=0 \label{eq-10.5}
\end{equation}
on $-\infty \< x \< \infty$ where
$\rho(x)=\left\\{\begin{aligned}\rho\_-(x)& &&x\<0,\\\\ \rho\_+(x)& &&x\>0\end{aligned}\right\.$ and $k(x)=\left\\{\begin{aligned}k\_-(x)& &&x\<0,\\\\ k\_+(x)& &&x\>0\end{aligned}\right\.$.

a. Write down equation (\ref{eq-10.5}) for $x\< 0$ and $x \> 0$ separately.
b. Find out *transmission conditions* (there must be 2 of them) linking $u(-0,t)$, $u(+0,t)$, $u\_x(-0,t)$, $u\_x(+0,t)$.

**Problem**
Particle in magnetic field is described by a Lagrangian
\begin{equation}
\frac{m}{2} \sum\_j \Bigl( \dot{q}\_j^2 + 2A\_j(\mathbf{q})\dot{q}\_j\Bigr) -V(\mathbf{q})
\end{equation}

a. Write Lagrange equations
b. Find generalized momenta $p\_j=\frac{\partial L}{\partial\dot{q}\_j}$
c. Express $\dot{q}\_j=\dot{q}\_j(\mathbf{q},\mathbf{p})$
d. Write down Hamiltonian $H(\mathbf{q},\mathbf{p})=\sum\_j \dot{q}|_jp\_j-L$.

---------------

[$\Uparrow$](../contents.html)


