<link href="../markdown.css" rel="stylesheet"></link>

<title>Problems to Section 2.1</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

###[Problems](id:sect-2.1.P)

> 1. [Problem 1](#problem-2.1.P.1)
> 2. [Problem 2](#problem-2.1.P.2)
> 3. [Problem 3](#problem-2.1.P.3)
> 4. [Problem 4](#problem-2.1.P.4)
> 5. [Problem 5](#problem-2.1.P.5)
> 6. [Problem 6](#problem-2.1.P.6)

**[Problem 1.](id:problem-2.1.P.1)**

a. Draw characteristics and find the general solution  to each of the following equations
\begin{gather}
2 u\_t +3u\_x=0;
\\\\
u\_t+ t u\_x=0;
\\\\
u\_t +xu\_x=0;
\\\\
u\_t+x^2u\_x=0
\\\\
u\_x+x^3u\_x=0.
\end{gather}

b.  Consider IVP problem $u|\_{t=0}=f (x)$ as $-\infty\< x \< \infty$ ; does solution always exists? If not, what conditions should satisfy $f(x)$?

c. Where this solution is uniquely determined?

d.  Consider this equation in $\\{t\>0, x\>0\\}$ with the initial condition $u|\_{t=0}=f(x)$ as $x\>0$; where this solution defined? Is it defined everywhere in $\\{t\>0, x\>0\\}$ or do we need to impose condition at $x=0$?
In the latter case impose condition $u|\_{x=0}=g(t)$ ($t\>0$) and solve this IVBP;

e. Consider this equation  in $\\{t\> 0, x\<0\\}$ with the  initial condition $u|\_{t=0}=f(x)$ as $x\<0$; where this solution defined? Is it defined everywhere in $\\{t\>0, x\< 0\\}$ or do we need to impose condition at $x=0$? In the latter case impose condition $u|\_{x=0}=g(t)$ ($t\>0$) and solve this IVBP;

f. Consider problems (d) as $t\<0$;
g. Consider problems (e) as $t\<0$;

<!--\end{problem}-->

**[Problem 2.](id:problem-2.1.P.2)**

a. Find the general solution to each of the following equations
\begin{gather}
xu\_x+ yu\_y=0,\\\\
xu\_x-yu\_y=0
\end{gather}
in $ \\{(x,y)\ne (0,0)\\}$; when this solution is continuous at $(0,0)$?  Explain the difference between these two cases;

b. Find the general solution to each of the following equations
\begin{equation}
yu\_x+ xu\_y=0,\\\\
yu\_x-xu\_y=0
\end{equation}
in $ \\{(x,y)\ne (0,0)\\}$; when this solution is continuous at $(0,0)$?
Explain the difference between these two cases;
<!--\end{problem}-->

**[Problem 3.](id:problem-2.1.P.3)**
In the same way consider  equations
\begin{gather}
(x^2+1)yu\_x+(y^2+1)xu\_y=0;
\\\\
(x^2+1)yu\_x-(y^2+1)xu\_y=0.
\end{gather}
<!--\end{problem}-->


**[Problem 4.](id:problem-2.1.P.4)**
Find the solution of
\begin{equation}
\left\\{\begin{aligned}
&u\_x+3u\_y=xy,\\\\
&u|\_{x=0}=0.
\end{aligned} \right.
\end{equation}</li>
<!--\end{problem}-->

**[Problem 5.](id:problem-2.1.P.5)**
Find the general solutions to each of
\begin{gather}
yu\_x-xu\_y=x;
\\\\
yu\_x-xu\_y=x^2;
\\\\
xu\_x+xu\_y=x;
\\\\
yu\_x+xu\_y=x^2;
\end{gather}
In one instance solution does not exist. Explain why.
<!--\end{problem}-->

**[Problem 6.](id:problem-2.1.P.6)**
Solve IVP
\begin{align}
&u\_t+uu\_x=0,\qquad t\> 0;
\\\\
&u|_{t=0}=f(x)
\end{align}
and describe domain in $(x,t)$ where this solution is properly defined
with one of the following initial data
\begin{align}
f(x)&=\hphantom{-}\tanh (x);
\\\\[5pt]
f(x)&=-\tanh (x);\\\\
f(x)&=\left\\{\begin{aligned}
-1& && x<-a,\\\\
x/a& && -a\le x \le a,\\\\
1& && x>a;
\end{aligned}\right.
\\\\
f(x)&=\left\\{\begin{aligned}
1& && x<-a,\\\\
-x/a& && -a\le x \le a,\\\\
-1& && x>a;
\end{aligned}\right.
\\\\
f(x)&=\left\\{\begin{aligned}
-1& && x<0,\\\\
1& && x> 0;\\\\
\end{aligned}\right.
\\\\
f(x)&=\hphantom{-}\sin(x).
\\\\
f(x)&=\left\\{\begin{aligned}
&\sin (x) && |x|\<\pi,\\\\
&0 && |x|\>\pi,
\end{aligned}\right.\\\\
f(x)&=\left\\{\begin{aligned}
&-\sin (x) && |x|\<\pi,\\\\
&0 && |x|\>\pi,
\end{aligned}\right.
\end{align}
Here $a>0$ is a parameter.
<!--\end{problem}-->

______

[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\uparrow$](./S2.1.html)&nbsp;&nbsp;[$\Rightarrow$](./S2.2.html)
