<link href="../markdown.css" rel="stylesheet"></link>

<title>2.2. First order PDEs (continued)</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$



##[2.2. First order PDEs (continued)](id:sect-2.2)

-----



> 1.  [Multidimensional equations](#sect-2.2.1)
> 2.  [Multidimensional nonlinear equations](#sect-2.2.2)



###[Multidimensional equations](id:sect-2.2.1)

**[Remark 1.](id:remark-2.2.1)**
Multidimensional equations (from linear to semilinear)
\begin{equation}
au\_t + \sum\_{j=1}^n b\_j
u\_{x\_j}=f(x\_1,\\ldots,x\_n,t,u)
\label{eq-2.2.1}
\end{equation}
and nonlinear
\begin{equation}
F(x\_1,\ldots,x\_n,t,u,u\_{x\_1},\ldots,u\_{x\_n},u\_t)=0
\label{eq-2.2.2}
\end{equation}
could be solved by the same methods.

For example, if $a=1$, $b\_j=\const$ and $f=0$ the general
solution of (\ref{eq-2.2.1}) is $u=\phi (x\_1-b\_1t,\ldots,x\_n-b\_nt)$ where $\phi$
is an arbitrary function of $n$ variables.
<!--\end{remark}-->

###[Multidimensional non-linear equations](id:sect-2.2.2)
We consider fully non-linear multidimensional equation in $\mathbb{R}^{n}$
\begin{equation}
F(x,u,\nabla u)=0
\label{eq-2.2.3}
\end{equation}
(we prefer such notations here) with $x=(x\_1,\ldots,x\_n)$,
$\nabla u= (u\_{x\_1},\ldots, u\_{x\_n})$ and the *initial condition*
\begin{equation}
u|\_\Sigma = g
\label{eq-2.2.4}
\end{equation}
where $\Sigma$ is a hypersurface. If $F=u\_{x\_1}-f(x,u,u\_{x\_2},\ldots,u\_{x\_n})$ and $\Sigma=\\{x\_1=0\\}$ then such problem has a local solution and it is unique. However we consider a general form under assumption
\begin{equation}
\sum\_{1\le j\\le n} F\_{p\_j} (x,u,p)\bigr|\_{p=\nabla u} \nu\_j \ne 0 \label{eq-2.2.5}
\end{equation} where $\nu=\nu(x)=(\nu\_1,\ldots,\nu\_n)$ is a normal to $\Sigma$ at point $x$.

Consider $p=\nabla u$ and consider a *characteristic curve* in $x$-space ($n$-dimensional) $\frac{dx\_j}{dt}=F\_{p\_j}$ which is exactly (\ref{eq-2.2.8}) below. Then by the chain rule
\begin{align}
&\frac{dp\_j}{dt}= \sum\_k p\_{j,x\_k} \frac{dx\_k}{dt}=
\sum\_k u\_{x\_jx\_k} F\_{p\_k} \label{eq-2.2.6}\\\\
&\frac{du}{dt}=\sum\_k u\_{x\_k} \frac{dx\_k}{dt}=\sum\_k p\_k F\_{p\_k}. \label{eq-2.2.7}
\end{align}
The last equation is exactly (\ref{eq-2.2.10}) below. To deal
with (\ref{eq-2.2.6}) we differentiate (\ref{eq-2.2.3}) by $x\_j$; by the chain rule we get
\begin{equation\*}
0=\partial\_{x\_j} \bigl(F(x,u,\nabla u)\bigr) =
F\_{x\_j}+ F\_u u\_{x\_j} + \sum\_k F\_{p\_k} p\_{k,x\_j}=
F\_{x\_j}+ F\_u u\_{x\_j} + \sum\_k F\_{p\_k} u\_{x\_kx\_j}
\end{equation\*}
and therefore the r.h.e. in (\ref{eq-2.2.6}) is equal to
$ -F\_{x\_j}- F\_u u\_{x\_j}$ and we arrive exactly to equation (\ref{eq-2.2.9})
below.

So we have a system defining a *characteristic trajectory* which lives
in $(2n+1)$-dimensional space: \begin{align}
&\frac{dx\_j}{dt}=F\_{p\_j}, \label{eq-2.2.8}\\\\
&\frac{dp\_j}{dt}=-F\_{x\_j}-F\_u p\_j ,\label{eq-2.2.9} \\\\
&\frac{du}{dt}=\sum\_{1\\le j\\le n} F\_{p\_j}p\_j.\label{eq-2.2.10}
\end{align}
*Characteristic curve* is $n$-dimensional $x$-projection of the *characteristic trajectory*. Condition (\ref{eq-2.2.5}) simply means that characteristic curve *is transversal* (i. e. is not tangent) to $\Sigma$.

Therefore, to solve (\ref{eq-2.2.3})-(\ref{eq-2.2.4}) we

a. Find $\nabla\_\Sigma u=\nabla\_\Sigma g$ at $\Sigma$ (i.e. we find gradient of $u$ along $\Sigma$; if $\Sigma=\{x\_1=0\}$ then we just calculate $u\_{x\_2},\ldots,u\_{x\_n})$;

b. From (\ref{eq-2.2.3}) we find the remaining normal component of $\nabla u$ at $\Sigma$; so we have $(n-1)$-dimensional  surface $\Sigma^\*=\{(x,u,\nabla u), x\in \Sigma\}$ in $(2n+1)$-dimensional space.<

c. From each point of $\Sigma^\*$ we issue a characteristic trajectory described by (\ref{eq-2.2.8})-(\ref{eq-2.2.10}). These trajectories together form $n$-dimensional hypesurface $\Lambda$ in $(2n+1)$-dimensional space.

d. Locally (near $t=0$) this surface $\Lambda$ has one-to-one $x$-projection and we can restore $u=u(x)$ (and $\nabla u =p(x)$).

However this property (d) is just local.

**[Remark 2.](id:remark-2.2.2)**
We have not proved directly that this construction always gives us a solution but if we know that solution exists then our arguments imply that it is unique and could be founds this way. Existence could be proven either directly or by some other arguments.
<!--\end{remark}-->

**[Remark 3.](id:remark-2.2.3)**

a. Important for application case is when $F$ does not depend on $u$ (only on $x,p=\nabla u$) and (\ref{eq-2.2.8})-(\ref{eq-2.2.10}) become highly symmetrical with respect to $(x,p)$:
\begin{align}
    &\frac{dx\_j}{dt}=F\_{p\_j}, \label{eq-2.2.11} \\\\
	&\frac{dp\_j}{dt}=-F\_{x\_j} , \label{eq-2.2.12}\\\\
    &\frac{du}{dt}=\sum \_{1\le j\le n} p \_jF _{p\_j} .\label{eq-2.2.13}
    \end{align}
This is so called *Hamiltonian system* with the *Hamiltonian* $F(x,p)$.

b. In this case we can drop $u$ from consideration and consider only $(x,p)$-projections of $\Sigma^\*$ and $\Lambda$.

______________

[$\Leftarrow$](./S2.1.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\downarrow$](./S2.2.P.html)&nbsp;&nbsp;[$\Rightarrow$](./S2.3.html)
