<link href="../markdown.css" rel="stylesheet"></link>

<title>2.3. Homogeneous $1$D Wave equation</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

##[2.3. Homogeneous $1$D Wave equation](id:sect-2.3)
----------------------------

> 1.  [Physical examples](#sect-2.3.1)
> 2.  [General solution](#sect-2.3.2)
> 3.  [Cauchy problem](#sect-2.3.3)

Consider equation
\begin{equation}
u\_{tt}-c^2u\_{xx}=0.
\label{eq-2.3.1}
\end{equation}

###[Physical examples](id:sect-2.3.1)

**[Remark 1.](id:remark-2.3.1)**
As we mentioned in [Section 1.4](../Chapter1/S1.4.html#sect-1.4.1) this equation describes a lot of things.
<!--\end{remark}-->

**[Example 1.](id:example-2.3.1)**
Consider a string with the points deviating from the original position (along $x$) in the orthogonal direction ($y$); so the string is described by $y=u(x,t)$ at the moment $t$ (so $u$ is a displacement along $y$). In this case
$c^2= T/\rho$ where $T$ is a *tension* of the string and $\rho$ is a *linear density* of it.
<!--\end{example}-->

**[Example 2.](id:example-2.3.2)**
This equation also describes compression-rarefication waves in elastic $1$-dimensional media. Then $u(x,t)$ is displacement along $x$.
<!--\end{example}-->

**[Example 3.](id:example-2.3.3)**
Consider a pipe filled by an ideal gas. Then $c^2= p(\rho)/\rho$ where $\rho$ is a density and $p(\rho)$ is a pressure (for an ideal gas at the given temperature such ratio is constant and due to Mendeleev-Clapeyron equation it is proportional to absolute temperature $T$ which is assumed to be a constant). Then f.e. $u$ may denote a density $\rho(x,t)$ at point $x$ at time $t$.
<!--\end{example}-->

**[Remark 3.](id:remark-2.3.3)**
$c$ has a dimension of the speed. In the example above $c$ is a speed of sound.
<!--\end{remark}-->

###[General solution](id:sect-2.3.2)

Let us rewrite formally equation (\ref{eq-2.3.1}) as
\begin{equation}
(\partial\_t^2 -c^2 \partial\_x^2)=
(\partial\_t-c \partial\_x)(\partial\_t+c \partial\_x)u=0.
\label{eq-2.3.2}
\end{equation}
Denoting $v=(\partial\_t+c \partial\_x)u= u\_t+cu\_x$ and
$w=(\partial\_t-c \partial\_x)u= u\_t-cu\_x$ we
have
\begin{align}
&v\_t-cv\_x=0,\label{eq-2.3.3}\\\\
&w\_t+cw\_x=0.\label{eq-2.3.4}
\end{align}
But from [Section 2.1](./S2.1.html) we know how to solve these equations
\begin{align}
&v=2c\phi'(x+ct),\label{eq-2.3.5}\\\\
&w=-2c\psi'(x-ct) \label{eq-2.3.6}
\end{align}
where $\phi'$ and $\psi'$ are arbitrary functions. We find convenient to have
factors $2c$ and $-2c$ and to denote by $\phi$ and $\psi$
their primitives (aka indefinite integrals). Recalling definitions of
$v$ and $w$ we have
\begin{align\*}
&u\_t+cu\_x=2c\phi'(x+ct),\\\\
&u\_t-cu\_x=-2c\psi'(x-ct).
\end{align\*}
Then
\begin{align\*}
c^{-1}&u\_t=\phi'(x+ct)-\psi'(x-ct),\\\\
&u\_x=\phi'(x+ct)+\psi'(x-ct).
\end{align\*}
The second equation implies that $u=\phi(x+ct)+\psi(x-ct)+\\Phi(t)$ and plugging to the first equation we get $\Phi'=0$, thus $\Phi=\\const$.

So,
\begin{equation}
u=\phi(x+ct)+\psi(x-ct)
\label{eq-2.3.7}
\end{equation}
is a *general* solution to (\ref{eq-2.3.1}).
This solution is a superposition of two waves $u\_1=\phi(x+ct)$ and $u\_2=\psi(x-ct)$ running to the left and to the rightrespectively with the speed $c$. So *$c$ is a propagation speed.*

**[Remark 3.](id:remark-2.3.3)**
Adding constant $C$ to $\phi$ and $-C$ to $\psi$ we get the same solution $u$. However it is the only arbitrarness.
<!--\end{remark}-->

###[Cauchy problem](id:sect-2.3.3)

Let us consider IVP (*initial–value problem*, aka *Cauchy problem*) for (\ref{eq-2.3.1}):
\begin{align}
&u\_{tt}-c^2u\_{xx}=0,\label{eq-2.3.8}\\\\
&u|\_{t=0}=g(x),
&&u\_t|\_{t=0}=h(x).
\label{eq-2.3.9}
\end{align}
Plugging (\ref{eq-2.3.7}) into initial conditions we have
\begin{align}
&\phi(x)+\psi(x)=g(x),\label{eq-2.3.10}\\\\
&c\phi'(x)-c\psi'(x)=h(x) \implies
\phi(x)-\psi(x)=\\frac{1}{c}\int^x h(y)\,dy.\label{eq-2.3.11}
\end{align}
Then
\begin{align}
&\phi(x)= \frac{1}{2} g(x)+\frac{1}{2c}\int^x h(y)\,dy,\label{eq-2.3.12}\\\\
&\psi(x)= \frac{1}{2} g(x)-\frac{1}{2c}\int^x h(y)\,dy.\label{eq-2.3.13}
\end{align}
Plugging into (\ref{eq-2.3.7}) and using property of an integral we get *D'Alembert formula*
\begin{equation}
u(x,t)=\frac{1}{2}\bigl[g(x+ct)+g(x-ct)\bigr]+
\frac{1}{2c}\int\_{x-ct}^{x+ct} h(y)\,dy.
\label{eq-2.3.14}
\end{equation}

**[Remark 4.](id:remark-2.3.4)**
Later we generalize it to the case of inhomogeneous equation (with the right-hand expression $f(x,t)$ in (\ref{eq-2.3.8}).
<!--\end{remark}-->


______________

[$\Leftarrow$](./S2.2.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\downarrow$](./S2.3.P.html)&nbsp;&nbsp;[$\Rightarrow$](./S2.4.html)
