<link href="../markdown.css" rel="stylesheet"></link>

<title>2.4. 1D Wave equation reloaded</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$


##[2.4. 1D Wave equation reloaded: <br> characteristic coordinates](id:sect-2.4)
-----------------------------------------------------

> 1.  [Characteristic coordinates](#sect-2.4.1)
> 2.  [Application of characteristc coordinates](#sect-2.4.2)
> 3.  [d'Alembert formula](#sect-2.4.3)

###[Characteristic coordinates](id:sect-2.4.1)

We realize that lines $x+ct=\const$ and $x-ct=\const$ play a very
special role in our analysis. We call these lines *characteristics*. Let
us introduce *characteristic coordinates*
\begin{equation}
\left\\{\begin{aligned}
&\xi=x+ct,\\\\
&\eta=x-ct.
\end{aligned}\right.
\label{eq-2.4.1}
\end{equation}

**[Proposition 1](id:prop-4.1)**
\begin{equation}
u\_{tt}-c^2u\_{xx}=-4c^2u\_{\xi \eta}.
\label{eq-2.4.2}
\end{equation}

*Proof.* From (\ref{eq-2.4.1}) we see that
$x=\frac{1}{2}(\xi+\eta)$ and $t=\frac{1}{2c}(\xi-\eta)$ and therefore due to chain rule $v\_\xi = \frac{1}{2}v\_x+\frac{1}{2c}v\_t$ and
$v\_\eta = \frac{1}{2}v\_x-\frac{1}{2c}v\_t$ and therefore
\begin{equation\*}
-4c^2u\_{\xi\eta}=
-\frac{1}{4}(c\partial\_x+\partial\_t)
(c\partial\_x-\partial\_t)u=u\_{tt}-c^2u\_{xx}. \tag\*{QED}
\end{equation\*}

Therefore wave equation [(2.3.1)](./S2.3.html#mjx-eqn-eq-2.3.1) [(2.3.1) means (1) from Section 2.3)] becomes in the characteristic coordinates
\begin{equation}
u\_{\xi\eta}=0
\label{eq-2.4.3}
\end{equation}
which we rewrite as $(u\_\xi)\_\eta=0\ \implies u\_\xi =\phi'(\xi)$
(really, $u\_\xi$ should not depend on $\eta$ and it is convenient
to denote by $\phi(\xi)$ the primitive of $u\_\xi$). Then
$(u-\phi(\xi))\_\xi =0 \implies u-\phi(\xi)=\psi(\eta)$ (due to the same arguments) and therefore
\begin{equation}
u=\phi(\xi)+\psi(\eta)
\label{eq-2.4.4}
\end{equation}
is the *general solution* to (\ref{eq-2.4.3}).

###[Application of characteristc coordinates](id:sect-2.4.2)

**[Example 1.](id:example-2.4.1)** Consider *Goursat problem* for (\ref{eq-2.4.3}):
\begin{gather\*}
u\_{\xi\eta}=0\qquad \text{as }
\xi\>0,\eta\>0\\\\[3pt]
u|\_{\eta=0}=g(\xi)\qquad \text{as }\xi\>0 ,\\\\[3pt]
u|\_{\xi=0}=h(\eta)\qquad \text{as } \eta\>0
\end{gather\*}
where $g$ and $h$ must satisfy *compatibility condition* $g(0)=h(0)$ (really $g(0)=u(0,0)=h(0)$).

Then one can see easily that $u(\xi,\eta)=g(\xi)+h(\eta)-g(0)$ solves Goursat problem.

Plugging (\ref{eq-2.4.1}) into (\ref{eq-2.4.4}) we get for a general solution
[(2.3.1)](./S2.3.html#mjx-eqn-eq-2.3.1)
\begin{equation}
u=\phi (x+ct)+\psi(x-ct)
\label{eq-2.4.5}
\end{equation}
which is exactly [(2.3.7)](./L3.html#mjx-eqn-eq-2.3.7).

###[d'Alembert formula](id:sect-2.4.3)

So far we achieved nothing new. Consider now IVP:
\begin{align}
&u\_{tt}-c^2u\_{xx}=f(x,t),\label{eq-2.4.6} \\\\[3pt]
&u|\_{t=0}=g(x),\label{eq-2.4.7}\\\\[3pt]
&u\_t|\_{t=0}=h(x). \label{eq-2.4.8}
\end{align}
It is convenient for us to assume that $g=h=0$. Later we will get rid off this assumption. Rewriting (\ref{eq-2.4.6}) as
\begin{equation\*}
\tilde{u}\_{\xi\eta}= -\frac{1}{4c^2}\tilde{f}(\xi,\eta )
\end{equation\*}
(where $\tilde{u}$ etc means that we use characteristic coordinates)
we get after integration
\begin{equation\*}
\tilde{u}\_{\xi}=
-\frac{1}{4c^2}\int^\eta \tilde{f}(\xi,\eta' ) \,d\eta'=
-\frac{1}{4c^2}\int\_\xi ^\eta \tilde{f}(\xi,\eta') \,d\eta'
{\color{red}{+ \phi'(\xi)}}
\end{equation\*}
with an indefinite integral in the middle. Note that $t=0$ means exactly that $\xi=\eta$ but then $u\_\xi=0$ there. Really, $u\_\xi$ is a linear combination of $u\_t$ and $u\_x$ but both of them are $0$ as $t=0$. Therefore $\phi'(\xi)=0$ and
\begin{equation\*}
\tilde{u}\_{\xi}= \frac{1}{4c^2}\int^\xi\_\eta \tilde{f}(\xi,\eta' )\,d\eta' \end{equation\*}
where we flipped limits and changed sign.

Integrating with respect to $\xi$ we arrive to
\begin{equation\*}
\tilde{u}= \frac{1}{4c^2} \int^\xi \Bigl[\int\_{\xi'} ^\eta
\tilde{f}(\xi',\eta' ) \,d\eta'\\Bigr] \,d\xi' =
\frac{1}{4c^2} \int\_\eta ^\xi \\Bigl[\int\_\eta ^{\xi'} \tilde{f}(\xi',\eta') \,d\eta'\Bigr]\,d\xi' {\color{red}{+ \psi(\eta)}}
\end{equation\*}
and $\psi(\eta)$ also must vanish because $u=0$ as $t=0$ (i.e. $\xi=\eta$). So \begin{equation}
\tilde{u}(\xi,\eta)= \frac{1}{4c^2} \int\_\eta ^\xi
\Bigl[\int\_\eta ^{\xi'} \tilde{f}(\xi',\eta' )\\,d\eta'\Bigr]\\,d\xi' . \label{eq-2.4.9}
\end{equation}
We got a solution as a *double integral* but we want to write it down as
*2-dimensional integral*
\begin{equation} \tilde{u}(\xi,\eta)=
\frac{1}{4c^2} \iint\_{\tilde{\Delta}(\xi,\eta)}
\tilde{f}(\xi',\eta' )\\,d\eta’d\xi' .
\label{eq-2.4.10}
\end{equation}
But what is $\tilde{\Delta}$? Consider $\xi\>\eta$. Then $\xi'$ should run from $\eta$ to $\xi$ and for fixed $\xi'$, $\eta\<\xi'\<\xi$ eta should run from
$\eta $ to $\xi'$. So, we get a triangle bounded by $\xi'=\eta'$, $\xi'=\xi$ and $\eta'=\eta$:

->![fig-2.4.1](./F2.4-1.svg)<-

But in coordinates $(x,t)$ this domain $\Delta(x,t)$ is bounded by
$t=0$ and two characteristics:

->![fig-2.4.2](./F2.4-2.svg)<-

So, we get
\begin{equation}
u(x,t)= \frac{1}{2c}
\iint\_{\Delta (x,t)} f(x',t' )\,dx'd t' .
\label{eq-2.4.11}
\end{equation}
because we need to replace $d\xi'd\eta' $ by $|J|dx'dt'$ with *Jacobian* $J$.

**Exercise.** Calculate $J$ and justify factor $2c$.



[$\Leftarrow$](./S2.3.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\downarrow$](./S2.4.P.html)&nbsp;&nbsp;[$\Rightarrow$](./S2.5.html)
