<link href="../markdown.css" rel="stylesheet"></link>

<title>4.A. Calculation of negative eigenvalues in Robin problem</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$


##[Appendix 4.A. Calculation of negative eigenvalues in Robin problem](id:sect-4.A)
------------------------------------

> 1.  [Variational approach](#sect-4.A.1)
> 2.  [Case $\alpha=\beta$](#sect-4.A.2)

###[Variational approach](id:sect-4.A.1)

Analyzing [Example 4.2.6](./S4.2.html#example-4.2.6) and [Example 4.2.7](./S4.2.html#example-4.2.7). We claim that

**[Theorem 1.](id:thm-4.A.1)**
Eigenvalues are monotone functions of $\alpha$, $\beta$.
<!--\end{theorem}-->

To prove it we need without proof to accept variational description of
eigenvalues of self-adjoint operators bounded from below (very general
theory) which in this case reads as:

**[Theorem 2.](id:thm-4.A.2)**
Consider quadratic forms
\begin{equation}
Q (u)= \int\_0^l |u'|^2\,dx + \alpha |u(0)|^2 + \beta |u(l)|^2
\label{eq-4.A.1}
\end{equation}
and
\begin{equation}
P (u)= \int \_0^l |u|^2\,dx .
\label{eq-4.A.2}
\end{equation}
Then there are at least $N$ eigenvalues which are less than $\lambda$ if and only iff there is a subspace $\mathsf{K}$ of dimension $N$ on which quadratic form
\begin{equation}
Q\_\lambda
(u)= Q(u)- \lambda P(u)
\label{eq-4.A.3}
\end{equation}
is *negative definite* (i.e. $Q\_\lambda (u)\<0$ for all $u\in \mathsf{K}$, $u\ne 0$).
<!--\end{theorem}-->

Note that $Q(u)$ is montone non-decreasing function of $\alpha,\beta$. Therefore $N(\lambda)$ (the exact number of e.v. which are less than $\lambda$) is montone non-increasing function of $\alpha,\beta$ and therefore $\lambda\_N$ is montone
non-decreasing function of $\alpha,\beta$.


###[Case $\alpha=\beta$](id:sect-4.A.2)


The easiest way to deal with it would be to note that the hyperbola $\alpha+\beta+\alpha\beta l=0$ has two branches and divides plane into 3 regions and due to continuity of eigenvalue in each of them the number of negative eigenvalues is the same.

Consider $\beta=\alpha$, it transects all three regions. Shift coordinate $x$ to the center of interval, which becomes $[-L,L]$, $L=l/2$. Now problem becomes \begin{align}
&X''+\lambda X=0,\label{eq-4.A.4}\\\\
&X'(-L)=\alpha X(-L),\label{eq-4.A.5}\\\\
&X'(L)=-\alpha X(L)\label{eq-4.A.6}
\end{align} and therefore if $X$ is an eigenfunction, then $Y(x):=X(-x)$ is an eigenfunction with the same eigenvalue.

Therefore we can consider separately eigenfunctions which are even functions, and which are odd functions--and those are described respectively by
\begin{align}
&X''+\lambda X=0,\label{eq-4.A.7}\\\\
&X'(0)=0,\label{eq-4.A.8}\\\\
&X'(L)=-\alpha X(L)\label{eq-4.A.9}
\end{align}
and
\begin{align}
&X''+\lambda X=0,\label{eq-4.A.10}\\\\
&X(0)=0,\label{eq-4.A.11}\\\\
&X'(L)=-\alpha X(L).\label{eq-4.A.12}
\end{align}
Since we are looking at $\lambda=-\gamma^2$ ($\gamma\>0$, we look at
$X=\cosh (x \gamma)$ and $X=\sinh (X\gamma)$ respectively (see conditions (\ref{eq-4.A.8}), (\ref{eq-4.A.11})) and then conditions (\ref{eq-4.A.9}), (\ref{eq-4.A.12}) tell us that
\begin{align}
&\alpha L = -(L\gamma)\tanh (L\gamma),\label{eq-4.A.13}\\\\
&\alpha L= - (L\gamma) \coth (L\gamma)\label{eq-4.A.14}
\end{align} respectively.

Both functions $z\tanh(z)$ and $z\coth(z)$ are monotone increasing for $z\>0$ with minima at $z=0$ equal $0$ and $1$ respectively. Thus equation (\ref{eq-4.A.13}) has a single solution $\gamma$ iff $\alpha\<0$ and (\ref{eq-4.A.14}) has a single solution $\gamma$ iff $\alpha L \< -1$.

Therefore as $\alpha l\<0$ there is one negative eigenvalue with an even eigenfunction and as $2\alpha l+(\alpha l)^2\<0$ comes another negative eigenvalue with an odd eigenfunction.

Sure, one can apply a variational arguments above but analysis above has its own merit (mainly learning).

_____________

[$\Leftarrow$](./S4.2.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](./S4.3.html)
