<link href="../markdown.css" rel="stylesheet"></link>

<title>4.C. Harmonic Oscillator</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

##[Appendix 4.C. Harmonic Oscillator](id:sect-4.C)
-----------------------------------

**[Definition 1.](id:definition-4.C.1)**
*Quantum harmonic oscillator* is an operator
on $\mathbb{R}$
\begin{equation}
L:=-\frac{1}{2}\partial\_x^2 +\frac{1}{2} x^2
\label{equ-4.C.1}
\end{equation}
It is defined in the space  $L^2(\mathbb{R})$ of square integrable functions on $\mathbb{R}$.
<!--\end{definition}-->

**[Remark 1.](id:remark-4.C.1)**
Operator
\begin{equation}
L\_{\alpha\beta}:=-\frac{\alpha^2}{2}\partial\_x^2 +\frac{\beta^2}{2} x^2
\label{equ-4.C.2}
\end{equation}
can be reduced to (\ref{equ-4.C.1}) by change of variables $x:= x\gamma$ with $\gamma=\sqrt{\beta/\alpha}$ and division by $\sqrt{\alpha\beta}$.
<!--\end{remark}-->

Observe that
\begin{equation}
L=\frac{1}{2}Z^\*Z+\frac{1}{2}=\frac{1}{2}ZZ^\*-\frac{1}{2}
\label{equ-4.C.3}
\end{equation}
with
\begin{equation}
Z:= \partial_x +x ,\qquad Z^\* =-\partial _x +x
\label{equ-4.C.4}
\end{equation}
and $Z^\*$ is adjoint to $Z$: $(Zu,v)=(u,Z^\* v)$.

Note that (\ref{equ-4.C.3}) implies that the lowest eigenvalue of $L$ is $\frac{1}{2}$ with eigenfunction which is "annihilated" by $Z$, i.e.
$u\_0(x):= e^{-\frac{x^2}{2}}$.

To find other eigenvalues and eigenfunctions observe that $[Z^\*,Z]=-2$ and therefore
\begin{equation}
LZ^\* = Z^\* (L+1),\qquad LZ = Z (L-1).
\label{equ-4.C.5}
\end{equation}
The first equality  implies that if $u$ is an eigenfunction with an eigenvalue $\lambda$, then $Z^\*u$ is an eigenfunction with an eigenvalue $\lambda+1$; therefore we have a sequence of eigenvalues $\lambda\_n =(n+\frac{1}{2})$, $n=0,1,2,\ldots$  and eigenfunctions $u\_n$ defined
\begin{equation}
u\_n =  Z^\* u_{n-1},\qquad n=1,2,\ldots.
\label{equ-4.C.6}
\end{equation}


**[Theorem 1.](id:thm-4.C.1)**

a. There are no other than above eigenvalues and eigenfunctions;
b. $u\_n(x)= H\_n (x) e^{-\frac{x^2}{2}}$ where $H\_n(x)$ is a polynomial of degree $n$ (and it is even/odd for even/odd $n$);
c. All $u\_n(x)$ are orthogonal; $\\|u_n\\|=\sqrt{\pi n!}$.
d. System $\\{u\_n\\}$ is complete.
<!--\end{theorem}-->

*Proof.*

a. The second of equalities (\ref{equ-4.C.5}) implies that if $u$ is an eigenfunction with an eigenvalue $\lambda$, then $Zu$ is an eigenfunction with an eigenvalue $\lambda-1$; however since eigenvalues start from $\frac{1}{2}$ there are no eigenvalues in $(\frac{1}{2}, \frac{3}{2})$; so the next eigenvalue is $\frac{3}{2}$ and if $u$ is a corresponding eigenfunction then $Z u=c u_0$. But then $Z^\*Z u = cZ^\* u\_0$; but $Z^\*Z u=(L-\frac{1}{2})u= u$ and $u=c Z^\* u\_0= c u\_1$. Continuing these arguments we conclude that there are no eigenvalues in $(\frac{3}{2}, \frac{5}{2})$; so the next eigenvalue is $\frac{5}{2}$ and $u=c\_2$ and so on.
b. By induction;
c. Due to $L^\*=L$ functions are orthogonal; on the other hand
\begin{multline\*}
\\|u\_n\\|^2=\\|Z^\* u\\|^2 = (Z^\* u\_{n-1}, Z^\* u\_{n-1})= (ZZ^\* u,u)= ((L+\frac{1}{2}) u\_{n-1},u\_{n-1})=\\\\
(\lambda+\frac{1}{2})\\|u\_{n-1}\\|^2=n\\|u\\|^2
\end{multline\*}
and by induction it is equal to $n! \\|u\_0\\|^2= n! \pi$.

Here we used the fact that $\|u\_0\|^2=\int\_{-\infty}^\infty e^{-x^2}\,dx=\pi$.
<!--\end{proof}-->

**[Definition 2.](id:definition-4.C.2)**
Functions $u\_n$ are *Hermite functions*, $H\_n(x)$ are *Hermite polynomials*.
<!--\end{definition}-->

One can prove
\begin{equation}
H\_n(x) = n! \sum\_{m=0}^{\lfloor \tfrac{n}{2} \rfloor}
\frac{(-1)^m}{m!(n - 2m)!} (2x)^{n - 2m}.
\label{equ-4.C.7}
\end{equation}
Then
\begin{align\*}
&H\_0(x)=1,\\\\
&H\_1(x)=2x,\\\\
&H\_2(x)=4x^2-2,\\\\
&H\_3(x)=8x^3-12x,\\\\
&H\_4(x)=16x^4-48x^2+12,\\\\
&H\_5(x)=32x^5-160x^3+120x,\\\\
&H\_6(x)=64x^6-480x^4+720x^2-120,\\\\
&H\_7(x)=128x^7-1344x^5+3360x^3-1680x,\\\\
&H\_8(x)=256x^8-3584x^6+13440x^4-13440x^2+1680,\\\\
&H\_9(x)=512x^9-9216x^7+48384x^5-80640x^3+30240x,\\\\
&H\_{10}(x)=1024x^{10}-23040x^8+161280x^6-403200x^4+302400x^2-30240
\end{align\*}

**[Remark 2.](id:remark-4.C.2)**
In the toy-model of QFT (Quantum Field Theory) $u\_n$ is considered as $n$-particle state, in particular $u\_0$ is a vacuum state; operators $a=\frac{1}{\sqrt{2}}Z$ and $a^+=\frac{1}{\sqrt{2}}Z^*$ are operators of annihilation and creation respectively, $N=a^+a= L-\frac{1}{2}$ is an operator of number of the particles (actually, it is true only for bosons).
<!--\end{remark}-->

####[References](id:sect-4.C.2)

[http://en.wikipedia.org/wiki/Hermite_polynomials](http://en.wikipedia.org/wiki/Hermite_polynomials)
[http://mathworld.wolfram.com/HermitePolynomial.html](http://mathworld.wolfram.com/HermitePolynomial.html)

See plots for Hermite polynomial and Hermite functions. Observe that $H\_n(x)$ changes sign exactly $n$-times.
_________________

[$\Leftarrow$](./S4.B.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](../Chapter5/S5.1.html)

