<link href="../markdown.css" rel="stylesheet"></link>

<title>5.1. Fourier transform, Fourier integral</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

#[Chapter 5. Fourier transform](id:chapter-5)

In this Chapter we consider Fourier transform which is the most useful of all integral transforms.




##[5.1. Fourier transform, Fourier integral](id:sect-5.1)
-----------------------------------

> 1.  [Heuristics](#sect-5.1.1)
> 2.  [Definitions and Remarks](#sect-5.1.2)
> 3.  [$\cos $- and $\sin$-Fourier transform and
>     integral](#sect-5.1.3)

###[Heuristics](id:sect-5.1.1)

In  [Section 4.5](../Chapter4/S4.5.html) we wrote Fourier series in the complex form
\begin{equation}
f(x)= \sum\_{n=-\infty}^\infty c\_n e^{\frac{i\pi nx}{l}}
\label{eq-5.1.1}
\end{equation} with
\begin{equation}
c\_n= \frac{1}{2l}\int\_{-l}^l f(x)e^{-\frac{i\pi n x}{l}}\,dx \qquad n=\ldots,-2, -1, 0,1,2,\ldots
\label{eq-5.1.2}
\end{equation}
and
\begin{equation}
2l\sum\_{n=-\infty}^\infty |c\_n|^2=\int\_{-l}^l|f(x)|^2\,dx.
\label{eq-5.1.3}
\end{equation}

From this form we *formally* without any justification deduct Fourier integral.

First we introduce
\begin{equation}
 k \_n := \frac{\pi n}{l}\qquad \text{and}\qquad
\Delta  k \_n =  k \_{n}- k \_{n-1}= \frac{\pi}{l}
\label{eq-5.1.4}
\end{equation}
and rewrite
(\ref{eq-5.1.1})
as
\begin{equation}
f(x)= \sum\_{n=-\infty}^\infty C( k \_n) e^{i k \_n x}\Delta  k \_n \label{eq-5.1.5}
\end{equation}
with
\begin{equation}
C( k )= \frac{1}{2\pi}\int\_{-l}^l f(x)e^{-i k  x}\,dx
\label{eq-5.1.6}
\end{equation}
where we used $C( k \_n) := c\_n /(\Delta k \_n)$; (\ref{eq-5.1.3}) should be rewritten as
\begin{equation}
\int\_{-l}^l|f(x)|^2\,dx=
2\pi\sum\_{n=-\infty}^\infty |C( k \_n)|^2\Delta  k \_n.
\label{eq-5.1.7}
\end{equation}
Now we *formally* set $l\to +\infty$; then integrals from $-l$ to $l$ in the right-hand expression of (\ref{eq-5.1.6}) and the left-hand expression of (\ref{eq-5.1.7}) become integrals from $-\infty$ to $+\infty$.

Meanwhile, $\Delta k \_n \to +0$ and *Riemannian sums* in the right-hand expressions of (\ref{eq-5.1.5}) and (\ref{eq-5.1.7}) become integrals: \begin{equation}
f(x)= \int\_{-\infty}^\infty C( k  ) e^{i k  x}\,d  k
\label{eq-5.1.8}
\end{equation}
with
\begin{equation}
C( k )= \frac{1}{2\pi}\int\_{-\infty}^\infty f(x)e^{-i k  x}\,dx; \label{eq-5.1.9}
\end{equation}
(\ref{eq-5.1.3}) becomes
\begin{equation}
\int\_{-\infty}^\infty |f(x)|^2\,dx=
2\pi\int\_{-\infty}^\infty |C( k )|^2\,d k .
\label{eq-5.1.10}
\end{equation}

###[Definitions and Remarks](id:sect-5.1.2)

**[Definition 1.](id:definition-5.1.1)**
Formula (\ref{eq-5.1.9}) gives us a *Fourier transform* of $f(x)$, it usually is denoted by "hat":
\begin{equation}
\hat{f}( k )= \frac{1}{2\pi}\int\_{-\infty}^\infty f(x)e^{-i k  x}\,dx; \tag{FT}\label{FT}
\end{equation}
sometimes it is denoted by "tilde" ($\tilde{f}$), and seldom just by a corresponding capital letter $F( k )$.
<!--\end{definition}-->

**[Definition 2.](id:definition-5.1.2)**
Expression (\ref{eq-5.1.8}) is a *Fourier integral* aka *inverse Fourier transform*: \begin{equation}
f(x)= \int\_{-\infty}^\infty \hat{f}( k ) e^{i k  x}\,d  k
\tag{FI}\label{FI}
\end{equation}
aka
\begin{equation}
\check{F}(x)= \int\_{-\infty}^\infty F( k ) e^{i k  x}\,d  k
\label{IFT}\tag{IFT}
\end{equation}
<!--\end{definition}-->

**[Remark 1.](id:remark-5.1.1)**
Formula (\ref{eq-5.1.10}) is known as *Plancherel theorem*
\begin{equation}
\int\_{-\infty}^\infty
|f(x)|^2\,dx=2\pi\int\_{-\infty}^\infty |\hat{f}( k  )|^2\,d k .
\tag{PT}\label{PT}
\end{equation}
<!--\end{remark}-->

**[Remark 2.](id:remark-5.1.2)**
a. Sometimes expoments of $\pm i k  x$ is replaced by $\pm 2\pi i k  x$ and factor $1/(2\pi)$ dropped.
b. Sometimes  factor $\frac{1}{\sqrt{2\pi}}$ is placed in both Fourier transform and Fourier integral:
\begin{align}
&\hat{f}( k )=
 \frac{1}{\sqrt{2\pi}}\int\_{-\infty}^\infty f(x)e^{-i k  x}\,dx; \tag{FT\*}\\\\
 &f(x)=
\frac{1}{\sqrt{2\pi}}\int\_{-\infty}^\infty \hat{f}( k )
e^{i k  x}\,d  k
\tag{FI\*}
\end{align}
Then FT and IFT differ only by $i$ replaced by $-i$ and Plancherel theorem becomes
\begin{equation}
\int\_{-\infty}^\infty |f(x)|^2\,dx=
  \int\_{-\infty}^\infty |\hat{f}( k  )|^2\,d k .
\tag{PT\*}
\end{equation}
In this case Fourier transform and inverse Fourier transform differ only by $-i$ instead of $i$ (very symmetric form) and both are *unitary operators*.
<!--\end{remark}-->

**[Remark 3.](id:remark-5.1.3)**
We can consider corresponding operator $LX=-X''$ in the space $L^2(\mathbb{R})$ of the square integrable functions on $\mathbb{R}$ but $e^{i k  x}$ are no more  eigenfunctions since they do not belong to this space. In advanced Real Analysis such functions often are referred as *generalized eigenfunctions*.
<!--\end{remark}-->

**[Remark 4.](id:remark-5.1.4)**

a. For justification see [Subsection 5.1.A](./S5.1.A.html);
b. Pointwise convergence is discussed in  [Subsection 5.1.B](./S5.1.B.html);
c. Multidimensional Fourier transform and Fourier integral are discussed in [Subsection 5.2.A](./S5.2.A.html).
<!--\end{remark}-->

###[$\cos $- and $\sin$-Fourier transform and integral](id:sect-5.1.3)

Applying the same arguments as in  [Section 4.5](../Chapter4/S4.5.html)  we can rewrite formulae (\ref{eq-5.1.8})--(\ref{eq-5.1.10}) as
\begin{equation}
f(x)=
\int\_0^\infty \bigl( A( k ) \cos( k  x) +B( k  ) \sin ( k  x)\bigr) \,d  k
\label{eq-5.1.11}
\end{equation}
with
\begin{align}
& A( k )= \frac{1}{\pi}\int\_{-\infty}^\infty f(x)\cos ( k  x) \,dx,
\label{eq-5.1.12}\\\\
& B( k )= \frac{1}{\pi}\int\_{-\infty}^\infty f(x)\sin ( k  x) \,dx,
\label{eq-5.1.13}
\end{align}
and
\begin{equation}
\int\_{-\infty}^\infty |f(x)|^2\,dx=
\pi\int\_0^\infty \bigl( |A( k  )|^2+|B( k  )|^2\bigr)\,d k . \label{eq-5.1.14}
\end{equation}

$A( k )$ and $B( k )$ are $\cos$- and $\sin$- Fourier transforms and

1.  $f(x)$ is even function iff $B( k )=0$;
2.  $f(x)$ is odd function iff $A( k )=0$.

Therefore

1.  Each function on $[0,\infty)$ ] could be decomposed into
    $\cos$-Fourier integral
    \begin{equation} f(x)= \int\_0^\infty A( k  ) \cos ( k  x) \,d  k
    \label{eq-5.1.15}
    \end{equation}
    with \begin{equation}
    A( k )=\frac{2}{\pi}\int\_0^\infty f(x)\cos ( k  x) \,dx.
    \label{eq-5.1.16}
    \end{equation}
2.  Each function on $[0,\infty)$ ] could be decomposed into
    $\sin$-Fourier integral
    \begin{equation}
    f(x)= \int\_0^\infty B( k  ) \sin ( k  x) \,d  k
    \label{eq-5.1.17}
    \end{equation}
    with
    \begin{equation}
    B( k )= \frac{2}{\pi}\int\_0^\infty f(x)\sin ( k  x) \,dx.
    \label{eq-5.1.18}
    \end{equation}



---------------

[$\Leftarrow$](../Chapter4/S4.5.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Downarrow$](./S5.1.A.html)&nbsp;&nbsp;[$\Downarrow$](./S5.1.B.html)&nbsp;&nbsp;[$\Rightarrow$](./S5.2.html)
