<link href="../markdown.css" rel="stylesheet"></link>

<title>5.2.A. Multidimensional Fourier transform, Fourier integral</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$



###[5.2.A. Multidimensional Fourier transform, Fourier integral](id:sect-5.2.A)
-----------------------------------

**[Definition 1.](id:definition-5.2A.1)**
Multidimensional Fourier transform is defined as
\begin{align}
& \hat{f}(\mathbf{k})=
\left(\frac{\kappa}{2\pi}\right)^n\iiint\_{\mathbb{R}^n}  f(\mathbf{x})
e^{-i\mathbf{k} \cdot \mathbf{x}}\,d^nx \tag{FT}\\\\
& \check{F}(x)= \left(\frac{1}{\kappa}\right)^n
\iiint\_{\mathbf{R}^n} F(\mathbf{k}) e^{i\mathbf{k} \cdot \mathbf{x}}
\,d^n \mathbf{k}
\tag{IFT}
\end{align}
with $\kappa=1$ (but here we will be a bit more flexible).
<!--\end{definition}-->

All the main properties of $1$-dimensional Fourier transform are preserved (with obvious modifications) but some less obvious modifications are mentioned:

**[Remark 1.](id:remark-5.2A.1)**
[Theorem 5.2.3](./S5.2.html#:thm-5.2.3)(e) is replaced by
\begin{equation}
g(\mathbf{x})=f(Q \mathbf{x})\implies \hat{g}(\mathbf{k})=
|\det Q|^{-1}\hat{f}(Q^{*\,-1} \mathbf{k})
\label{eq-5.2A.1}
\end{equation}
where $Q$ is a non-degenerate linear transformation.
<!--\end{remark}-->

**[Remark 2.](id:remark-5.2A.2)**
[Example 2.](./S5.2.html#example-5.2.2) is replaced by the following:
Let $f(x)=e^{-\frac{1}{2}A\mathbf{x}\cdot \mathbf{x}}$ where $A$ is a symmetric (but not necessarily real matrix) $A^T=A$ with positive definite real part:
\begin{equation\*}
\Re (A\mathbf{x}\cdot \mathbf{x}) \ge \epsilon |\mathbf{x}|^2
\qquad\forall \mathbf{x}
\end{equation\*}
with $\varepsilon >0$. One can prove that inverse matrix $A^{-1}$ has the same property and
\begin{equation\*}
\hat{f}(\mathbf{k})=
\left(\frac{\kappa}{\sqrt{2\pi}}\right)^n |\det A|^{-\frac{1}{2}} e^{-\frac{1}{2}A^{-1}\mathbf{k}\cdot\mathbf{k}}.
\end{equation\*}
<!--\end{remark}-->

**[Remark 3.](id:remark-5.2A.3)**
Poisson summation formula ([Theorem 5.](./S5.2.html#thm-5.2.5)) is replaced by
\begin{equation}
\sum\_{\mathbf{m}\in \Gamma} f(\mathbf{m}) =
\sum\_{\mathbf{k}\in \Gamma^\*} (2\pi )^n |\Omega|^{-1}
\hat{f}(\mathbf{k}) .
\label{eq-5.2A.2}
\end{equation}
(in notations of [Section 4.B](../Chapter4/S4.B.html).
<!--\end{remark}-->

--------------

[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\uparrow$](./S5.2.html)&nbsp;&nbsp;[$\Rightarrow$](./S5.3.html)
