<link href="../markdown.css" rel="stylesheet"></link>

<title>6.2. Separation of variables: Misc equations</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

##[6.2. Separation of variables: Misc equations](id:sect-6.2)
---------------------------------------------------

> 1.  [Schrödinger equation](#sect-6.2.1)
> 2.  [1D wave equation](#sect-6.2.2)
> 3.  [Laplace equation in half-strip](#sect-6.2.3)
> 4.  [Laplace equation in rectangle](#sect-6.2.4)

In the previous [Section 6.1](./S6.1.html) we considered heat equation.

###[Schrödinger equation](id:sect-6.2.1)

Consider problem
\begin{align}
& u\_t= iku\_{xx},&& t\>0,\ 0\< x\< l,\label{eq-6.2.1}\\\\[3pt]
& (\alpha\_0u\_x-\alpha u)|\_{x=0}=(\beta\_0u\_x+\beta u)|\_{x=l}=0. \label{eq-6.2.2}\\\\[3pt]
& u|\_{t=0}=g(x)\label{eq-6.2.3}
\end{align}
where *either* $\alpha\_0=0$, $\alpha=1$ and we have a Dirichlet boundary
condition *or* $\alpha\_0=1$ and we have either Neumann or Robin boundary condition and the same at $x=l$.

Let us consider a simple solution $u(x,t)=X(x)T(t)$; then separating
variables we arrive to $\frac{T'}{T}=i k\frac{X''}{X}$ which implies
$X''+\lambda X=0$,
\begin{equation} T'=-i k\lambda T
\label{eq-6.2.4}
\end{equation}
(explain, how). We also get boundary conditions
$(\alpha\_0 X'-\alpha X)=(\beta\_0 X'+\beta X)(l)=0$ (explain,
how).

So, we have eigenvalues $\lambda\_n$ and eigenfunctions $X\_n$ ($n=1,2,\ldots$) and equation (\ref{eq-6.2.4}) for $T$, which results in
\begin{equation}
T\_n=A\_ne^{-ik\lambda\_n t} \label{eq-6.2.5}
\end{equation}
and therefore a simple solution is
\begin{equation}
u\_n=A\_ne^{-ik\lambda\_n t}X\_n(x)
\label{eq-6.2.6}
\end{equation}
and we look for a general solution in the form
\begin{equation}
u=\sum\_{n=1}^\infty A\_ne^{-ik\lambda\_n t}X\_n(x).
\label{eq-6.2.7}
\end{equation}
Again, taking in account initial condition (\ref{eq-6.2.3}) we see that
\begin{equation}
u=\sum\_{n=1}^\infty A\_nX\_n(x).
\label{eq-6.2.8}
\end{equation}
and therefore
\begin{equation}
A\_n=\frac{1}{\\|X\_n\\|^2}\int\_0^l g(x)X\_n(x)\,dx.
\label{eq-6.2.9}
\end{equation}

**[Remark 1.](id:remark-6.2.1)**

a.  Formula (\ref{eq-6.2.6}) shows that the problem is well-posed for
    $t\<0$ and $t\>0$.
b.  However there is no stabilization.
c.  What we got is a finite interval version of analysis of [Subsection 5.3.2](../Chapter5/S5.3.html#sect-5.3.2).
<!--\end{remark}-->

###[1D wave equation](id:sect-6.2.2)

Consider problem
\begin{align}
& u\_{tt}= c^2u\_{xx},&& 0\< x\< l,\label{eq-6.2.10}\\\\[3pt]
& (\alpha\_0u\_x-\alpha u)|\_{x=0}=(\beta\_0u\_x+\beta u)|\_{x=l}=0. \label{eq-6.2.11}\\\\[3pt]
& u|\_{t=0}=g(x),\qquad u\_t|\_{t=0}=h(x).\label{eq-6.2.12}
\end{align}
Actually we started from this equation in [Section 4.1](../Chapter4/S4.1.html) but now we consider more general boundary conditions. Now we have
\begin{equation}
T''= -k\lambda T \label{eq-6.2.13}
\end{equation}
and we have
\begin{equation}
T\_n=\left\\{\begin{aligned}
& A\_n \cos (\omega\_n t)+ B\_n \sin (\omega\_n t)
&& \omega\_n = c\lambda\_n^{\frac{1}{2}}\text{as } \lambda\_n\>0,\qquad\\\\
& A\_n + B\_n t && \text{as } \lambda\_n=0,\\\\
& A\_n \cosh (\eta\_n t)+ B\_n \sinh (\eta\_n t)
&& \eta\_n = c(-\lambda\_n)^{\frac{1}{2}} \text{as } \lambda\_n\>0,
\end{aligned}\right.
\label{eq-6.2.14}
\end{equation}
and respectively we get
\begin{equation}
u =\sum \_n T\_n(t)X\_n(x) \label{eq-6.2.15}
\end{equation}
and we find from initial conditions
\begin{align}
& A\_n=\frac{1}{\\|X\_n\\|^2}\int\_0^l g(x)X\_n(x)\,dx,
\label{eq-6.2.16}\\\\
& B\_n = \frac{1}{\\|X\_n\\|^2}\int\_0^l h(x)X\_n(x)\,dx \times\left\\{\begin{aligned}
& \frac{1}{\omega\_n} && \text{as } \lambda\_n\>0,\\\\
& 1 && \text{as } \lambda\_n=0,\\\\
& \frac{1}{\eta\_n} && \text{as } \lambda\_n\<0.
\label{eq-6.2.17} \end{aligned}\right.
\end{align}

###[Laplace equation in half-strip](id:sect-6.2.3)

Consider problem
\begin{align}
& \Delta u:=u\_{xx}+u\_{yy}=0,&& y\>0,\\ 0\< x\< l,\label{eq-6.2.18}\\\\[3pt]
& (\alpha\_0u\_x-\alpha u)|\_{x=0}=(\beta\_0u\_x+\beta u)|\_{x=l}=0, \label{eq-6.2.19}\\\\[3pt]
& u|\_{y=0}=g(x).\label{eq-6.2.20}
\end{align} To make it uniquely solvable we need to add condition $|u|\le M$.

Again separating variables $u(x,y)=X(x)Y(y)$ we get
\begin{equation}
Y''= \lambda Y
\label{eq-6.2.21}
\end{equation}
and therefore *assuming that $\lambda\>0$* we get
\begin{equation}
Y=Ae^{-\sqrt{\lambda}y}+Be^{\sqrt{\lambda}y}
\label{eq-6.2.22}
\end{equation}
We discard the second term in the right-hand expression of (\ref{eq-6.2.22}) because it is unbounded. However if we had Cauchy problem (i.e. $u|\_{y=0}=g(x)$, $u\_y|\_{y=0}=h(x)$) we would not be
able to do this and this problem will be ill-posed.

So, $u=Ae^{-\sqrt{\lambda}y}$ and (\ref{eq-6.2.20}) and
\begin{equation}
u\_n=A\_ne^{-\sqrt{\lambda\_n}y}X\_n(x)
\label{eq-6.2.23}
\end{equation} and *assuming that all $\lambda\_n\>0$* we get
\begin{equation}
u=\sum\_n A\_n e^{-\sqrt{\lambda\_n}y}X\_n(x)
\label{eq-6.2.24}
\end{equation}
and (\ref{eq-6.2.19}) yields
\begin{equation}
A\_n=\frac{1}{\\|X\_n\\|^2}\int\_0^l g(x)X\_n(x)\,dx.
\label{eq-6.2.25}
\end{equation}

**[Remark 2.](id:remark-6.2.2)**

a.  If there is eigenvalue $\lambda=0$ we have $Y= A+By$ and as we
    are looking for a bounded solution we discard the second term again;
    so *our analysis remain valid as all $\lambda\_n\ge 0$*.
b.  If we have a problem
\begin{align}
& \Delta u:=u\_{xx}+u\_{yy}=0,&& y\>0,\ 0\< x\< l,\label{eq-6.2.26}\\\\[3pt]
& (\alpha\_0u\_x-\alpha u)|\_{x=0}=\phi(y), \label{eq-6.2.27}\\\\[3pt]
& (\beta\_0u\_x+\beta u)|\_{x=l}=\psi(y), \label{eq-6.2.28}\\\\[3pt]
& u|\_{y=0}=g(x)\label{eq-6.2.29}
\end{align}
with $g(x)=0$ we could reduce it by the method of continuation to the problem in the whole strip and solve it by Fourier transform (see
[Subsecion 5.3.5](../Chapter5/S5.3.html#sect-5.3.5)).

c.  In the general case we can find $u= u\_{(1)} +u\_{(2)}$ where
    $u\_{(1)}$ solves problem with $g=0$ and $u\_{(2)}$ solves
    problem with $\phi=\psi=0$ (explain how it follows from the
    linearity).

d.  One can replace Dirichlet boundary condition $u|\_{y=0}$ by Robin
    boundary condition $(u\_y-\gamma u)|\_{y=0}=g(x)$ ($\gamma\ge
    0$) but there is an exceptional case: there is an eigenvalue
    $\lambda\_0=0$ and as $y=0$ we have Neumann boundary condition.

e.  In this exceptional case (usually as we have Neumann b.c.
    everywhere--as $x=0$, $x=l$, $y=0$) a required solution simply
    does not exists unless $\int\_0^l g(x)X\_0(x)\,dx=0$.
<!--\end{remark}-->

###[Laplace equation in rectangle](id:sect-6.2.4)

Consider problem
\begin{align}
&\Delta u:=u\_{xx}+u\_{yy}=0,&& 0\< y\< b,\ 0\< x\< a,\label{eq-6.2.30}\\\\[3pt]
&(\alpha\_0u\_x-\alpha u)|\_{x=0}=(\beta\_0u\_x+\beta u)|\_{x=a}=0, \label{eq-6.2.31}\\\\[3pt]
& u|\_{y=0}=g(x), \label{eq-6.2.32}\\\\[3pt] & u|\_{y=b}=h(x).\label{eq-6.2.33}
\end{align}

Then we get (\ref{eq-6.2.21}) and (\ref{eq-6.2.22}) again but with two b.c. we
cannot diacard anything; we get instead
\begin{align}
& A\_n && + B\_n&& =g\_n,\label{eq-6.2.34}\\\\[3pt]
& A\_n e^{-\sqrt{\lambda\_n}b} && + B\_n e^{\sqrt{\lambda\_n}b}
&& =h\_n\label{eq-6.2.35}
\end{align}
where $g\_n$ and $h\_n$ are Fourier coefficients of $g$ and $h$
respectively, which implies
\begin{align\*}
& A\_n= \frac{e^{\sqrt{\lambda\_n}b}}{2\sinh (\sqrt{\lambda\_n}b)}g\_n
-\frac{1}{2\sinh (\sqrt{\lambda\_n}b)}h\_n) , \\\\[3pt]
& B\_n= -\frac{e^{-\sqrt{\lambda\_n}b}}{2\sinh (\sqrt{\lambda\_n}b)}g\_n +\frac{1}{2\sinh (\sqrt{\lambda\_n}b)}h\_n
\end{align\*}
and therefore
\begin{equation}
Y\_n(y)=\frac{\sinh (\sqrt{\lambda\_n}(b-y))}{\sinh (\sqrt{\lambda\_n}b)} g\_n+
\frac{\sinh (\sqrt{\lambda\_n}y)}{\sinh (\sqrt{\lambda\_n}b)} h\_n. \label{eq-6.2.36}
\end{equation}
One can see easily that
$\frac{\sinh (\sqrt{\lambda\_n}(b-y))}{\sinh (\sqrt{\lambda\_n}b)}$ and $\frac{\sinh (\sqrt{\lambda\_n}y)}{\sinh (\sqrt{\lambda\_n}b)}$ are bounded as
$0\le y\le b$.

**[Problem 1.](id:problem-6.2.1)**
Investigate other boundary conditions (Robin, Neumann, mixed).
<!--\end{problemk}-->


**[Remark 3.](id:remark-6.2.3)**

a. There is an exeptional case: there is an eigenvalue
$\lambda\_0=0$ and as $y=0$ and $y=b$ we have Neumann boundary
conditions. Then solution does not exist unless $\int\_0^a
h(x)X\_0(x)\\,dx -\int\_0^a g(x)X\_0(x)\\,dx=0$.

b.  We can consider general b.c. with $(\alpha\_0u\_x-\alpha
    u)|\_{x=0}=\phi(y)$, $(\beta\_0u\_x+\beta
    u)|\_{x=a}=\psi(y)$. Then we can find $u= u\_{(1)} +u\_{(2)}$
    where $u\_{(1)}$ solves problem with $g=h=0$ and $u\_{(2)}$
    solves problem with $\phi=\psi=0$ (explain how it follows from
    the linearity). The second problem is also "our" problem with $x$
    and $y$ permutted.

c.  Assume that we have Neumann b.c. everywhere--as $x=0$, $x=a$,
    $y=0$, $y=b$. Then solution does not exist unless
    \begin{equation}
    \int\_0^a h(x)\,dx -\int\_0^a g(x)\,dx + \int\_0^b \psi(y)\,dy -
    \int\_0^b \phi(y)\,dy=0
    \label{eq-6.2.37}
    \end{equation}
    which means that the total heat flow is $0$. How from two assumptions we can get one? Well, we just need to consider $\phi=g=0$, $\psi=\frac{y}{b}$,
$h=-\frac{x}{a}$ (explain why) but there is a solution  $u=\frac{y}{b}-\frac{x}{a}$ for that.
<!--\end{remark}-->

--------------

[$\Leftarrow$](./S6.1.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](./S6.3.html)


