<link href="../markdown.css" rel="stylesheet"></link>

<title>Problems to Chapter 6</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

###[Problems to Chapter 6](id:sect-6.P)

> 1. [Problem 1](#problem-6.P.1)
> 2. [Problem 2](#problem-6.P.2)
> 3. [Problem 3](#problem-6.P.3)
> 4. [Problem 4](#problem-6.P.4)
> 5. [Problem 5](#problem-6.P.5)


**[Problem 1.](id:problem-6.P.1)**

a.  Find the solutions that depend only on $r$ of the equation
    \begin{equation\*}
    \Delta u:=u\_{xx}+u\_{yy}+u\_{zz}=k^2u,
    \end{equation\*}
    where $k$ is a positive constant. (*Hint:*  Substitute $u=v/r$)

b.  Find the solutions that depend only on $r$ of the equation
    \begin{equation\*}
    \Delta u:=u\_{xx}+u\_{yy}+u\_{zz}=-k^2u,
    \end{equation\*}
    where $k$ is a positive constant. (*Hint:* Substitute $u=v/r$)
<!--\end{problem}-->

**[Problem 2.](id:problem-6.P.2)**

a.  Try to find the solutions that depend only on $r$ of the equation
    \begin{equation\*}
    \Delta u:=u\_{xx}+u\_{yy}=k^2u,
    \end{equation\*}
    where $k$ is a positive constant. What ODE should satisfy $u(r)$?

b.  Try to find the solutions that depend only on $r$ of the equation
    \begin{equation\*}
    \Delta u:=u\_{xx}+u\_{yy}=-k^2u,
    \end{equation\*}
    where $k$ is a positive constant. What ODE should satisftfy $u(r)$?
<!--\end{problem}-->

**[Problem 3.](id:problem-6.P.3)**

a.  Solve
	\begin{align\*}
	& \Delta :=u\_{xx}+u\_{yy}=0&& \text{in } r\<a\\\\[3pt]
	& u|\_{r=a}=f(\theta).
	\end{align\*}
	where we use polar coordinates $(r,\theta)$ and
    $f(\theta)=\left\\{\begin{aligned}
    &1 &&0\<\theta\<\pi\\\\
   -&1 &&\pi\<\theta\<2\pi.
   \end{aligned}\right.$

b.  Solve
	\begin{align\*}
	& \Delta :=u\_{xx}+u\_{yy}=0&& \text{in }  r\>a\\\\[3pt]
	& u|\_{r=a}=f(\theta),\\\\[3pt]
	& \max |u| \<\infty.
	\end{align\*}
	where we use polar coordinates
    $(r,\theta)$ and
    $f(\theta)=\left\\{\begin{aligned}
    &1  &&0\<\theta\<\pi\\\\
    -&1 &&\pi\<\theta\<2\pi.
    \end{aligned}\right.$
<!--\end{problem}-->

**[Problem 4.](id:problem-6.P.4)**

a.  Solve
	\begin{align\*}
	& \Delta :=u\_{xx}+u\_{yy}=0&& \text{in } r\<a\\\\[3pt]
	& u\_r|\_{r=a}=f(\theta)
	\end{align\*}
	where we use polar coordinates $(r,\theta)$ and
    $f(\theta)=\left\\{\begin{aligned} &1 &&0\<\theta\<\pi\\\\ -&1
    &&\pi\<\theta\<2\pi. \end{aligned}\right.$

b.  Solve
	\begin{align\*}
	& \Delta :=u\_{xx}+u\_{yy}=0&& \text{in } r\>a\\\\[3pt]
	& u\_r|\_{r=a}=f(\theta),\\\\[3pt]
	& \max |u|  \<\infty.
	\end{align\*}
	where we use polar coordinates  $(r,\theta)$ and
	$f(\theta)=\left\\{\begin{aligned}
	&1 &&0\<\theta\<\pi\\\\
	-&1 &&\pi\<\theta\<2\pi.
    \end{aligned}\right.$
<!--\end{problem}-->

**[Problem 5.](id:problem-6.P.5)**
Describe all real-valued solutions of biharmonic equation
\begin{equation}
u\_{xxxx}+2u\_{xxyy}+u\_{yyyy}=0
\end{equation}
which one can obtain by a method of separation $u(x,y)=X(x)Y(y)$.
<!--\end{problem}-->
________________

[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\uparrow$](./S6.5.html)&nbsp;&nbsp;[$\Rightarrow$](../Chapter7/S7.1.html)
