<link href="../markdown.css" rel="stylesheet"></link>

<title>8.2. Helmholtz equation in the disk</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$


##[Separation of variable in polar and cylindrical coordinates](id:sect-8.2)
-------------------

> 1.  [Helmholtz equation in the disk](#sect-8.2.1)
> 2.  [Helmholtz equation in the cylinder](#sect-8.2.2)
> 3.  [Laplace equation in the cylinder](#sect-8.2.3)


###[8.2. Helmholtz equation in the disk](id:sect-8.2.1)

Consider Helmholtz equation in the disk (recall that such equation is obtained from wave equation after separation of $t$ from spatial variables):
\begin{equation}
v\_{rr} + r^{-1}v\_r - r^{-2}v\_{\theta\theta}=-\lambda v\qquad r\le a.
\label{eq-8.2.1}
\end{equation}
Separating variables $v=R(r)\Phi(\phi)$ we arrive to
\begin{equation\*}
\frac{r^2 R'' + rR'+\lambda r^2R}{R}+\frac{Phi''}{|Phi}=0
\end{equation\*}
and therefore
\begin{align}
& \Phi''=-\mu Phi,\label{eq-8.2.2}\\\\
& r^2 R'' +rR' + (\lambda r^2 -\mu )R=0\label{eq-8.2.3}
\end{align}
and $\mu =-l^2$, $\Phi =e^{\pm in\theta}$ and
\begin{equation}
r^2 R'' +rR' + (\lambda r^2 -l^2 )R=0.
\label{eq-8.2.4}
\end{equation}
As $\lambda=1$ it is Bessel equation and solutions are [Bessel functions](http://en.wikipedia.org/wiki/Bessel_function) $J\_l$ and $Y\_l$ which which are called Bessel functions of the 1st kind and of the 2nd kind, respectively, and the former are regular at $0$. Therefore
$R=J\_l (r\sqrt{\lambda})$ and plugging into Dirichlet or Neiumann boundary conditions we get respectively
\begin{align}
&J\_l  (a\sqrt{\lambda})=0, \label{eq-8.2.5}\\\\
&J'\_l  (a\sqrt{\lambda})=0, \label{eq-8.2.6}
\end{align}
and then $\lambda = z\_{l,n}^2a^{-2}$ and $\lambda = w\_{l,n}^2a^{-2}$ respectively where $z\_{l,n}$ and $w\_{l,n}$ are $n$-th zero of $J\_l$ or $J\_l'$ respectively.

**[Remark 1.](id:remark-8.2.1)**
Bessel functions are elementary only for half-integer $l=\frac{1}{2},\frac{3}{2},\frac{5}{2},\ldots$ when they are related to spherical Bessel functions.
<!--\end{remark}-->

###[Helmholtz equation in the cylinder](id:sect-8.2.2)

Consider Laplace equation in the cylinder $\\{r\le a, 0\le z\le b\\}$ with homogeneous Dirichlet (or Neumann, etc) boundary conditions:
\begin{align}
&u\_{rr}+r^{-1}u\_r + r^{-2}u\_{\theta\theta}+u\_{zz}=-\omega^2 u, \label{eq-8.2.7}\\\\
&u|\_{z=0}=u|\_{z=b}=0, \label{eq-8.2.8}\\\\
&u|\_{r=a}= 0.\label{eq-8.2.9}
\end{align}
Separating $Z$ from $r,\theta$ $u=Z(z)v(r,\theta)$ we get
\begin{equation\*}
\frac{\Lambda v}{v} + \frac {Z''}{Z}=-\omega^2 v
\end{equation\*}
and then $Z''=- \beta Z$, and
$\Lambda v:= v\_{rr}+r^{-1}v\_r+ r^{-2}v\_{\theta\theta}=-\lambda v$ with $\lambda =\omega^2 -\beta$
and from boundary conditions to $Z$ we have $\beta=\pi^2 m^2 b^{-2}$ and separating $r,\phi$: $v=R(r)\Phi(\phi)$ we arrive like in the previous Subsection to (\ref{eq-8.2.4}). One can prove that there are no nontrivial solutions as $\lambda\le 0$ and therefore $\lambda>0$ and everything is basically reduced to the previous Subsection.

**[Exercise 1.](id:exercise-8.2.1)**
Do it in detail.
<!--\end{exercise}-->

##[Laplace equation in the cylinder](id:sect-8.2.3)

Consider Laplace equation in the cylinder $\\{r\le a, 0\le z\le b\\}$ with homogeneous Dirichlet (or Neumann, etc) boundary conditions on the top and bottom leads and non-homogeneous condition on the lateral boundary:
\begin{align}
&u\_{rr}+r^{-1}u\_r + r^{-2}u\_{\theta\theta}+u\_{zz}=-\omega^2 u, \label{eq-8.2.10}\\\\
&u|\_{z=0}=u|\_{z=b}=0, \label{eq-8.2.11}\\\\
&u|\_{r=a}= g(z,\theta).\label{eq-8.2.12}
\end{align}
Separating $Z$ from $r,\theta$ Separating $Z$ from $r,\theta$ $u=Z(z)v(r,\theta)$ we get
\begin{equation\*}
\frac{\Lambda v}{v} + \frac {Z''}{Z}=0
\end{equation\*}
and then $Z''=- \beta Z$, and
$\Lambda v:= v\_{rr}+r^{-1}v\_r+ (-\beta+ r^{-2}v\_{\theta\theta})=0$.
and from boundary conditions to $Z$ we have $\beta=\pi^2 m^2 b^{-2}$ and separating $r,\phi$: $v=R(r)\Phi(\phi)$ we arrive like in the previous Subsection to
\begin{equation}
r^2 R'' +rR' + (-\beta r^2 -l^2 )R=0.
\label{eq-8.2.13}
\end{equation}
However now $\beta>0$ and we do not need to satisfy homogeneous condition as $r=a$ (on the contrary, we do not want it to have non-trivial solutions.

Then we use *[modified Bessel functions](http://en.wikipedia.org/wiki/Bessel_function#Modified_Bessel_functions:_I.CE.B1.2C_K.CE.B1)* $I\_l$ and $K\_l$ and $R= CI\_l (r\sqrt{\beta})$.


---------------

[$\Leftarrow$](./S8.1.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](../Chapter9/S9.1.html)
