<link href="../markdown.css" rel="stylesheet"></link>

<title>Problems to Sections 5.1, 5.2</title>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

###[Problems to Sections 5.1, 5.2](id:sect-3.2.P)

> 1. [Problem 1](#problem-5.2.P.1)
> 2. [Problem 2](#problem-5.2.P.2)
> 3. [Problem 3](#problem-5.2.P.3)
> 4. [Problem 4](#problem-5.2.P.4)
> 5. [Problem 5](#problem-5.2.P.5)
> 6. [Problem 6](#problem-5.2.P.6)
> 7. [Problem 7](#problem-5.2.P.7)


Some of the problems  could be solved based on the
other problems and properties of Fourier transform (see [Section 5.2](./S5.2.html)) and such solutions are much shorter than from the
scratch; seeing and exploiting connections is a plus.

**[Problem 1.](id:problem-5.2.P.1)**
Let $F$ be an operator of Fourier transform: $f(x)\to \hat{f}(k)$. Prove that

a. $F^\*F=FF^\*=I$;
b. $(F^2 f)(x)=f(-x)$ and therefore $F^2f=f$ for even function $f$ and $F^2=-f$ for odd function $f$;
c. $F^4=I$;
d. If $f$ is a real-valued function then $\hat{f}$ is real-valued if and only if $f$ is even and $i\hat{f}$ is real-valued if and only if $f$ is odd.
<!--\end{problem}-->

**[Problem 2.](id:problem-5.2.P.2)**
Let $\alpha\>0$. Find Fourier transforms of

a.  $e^{-\alpha|x|}$;
b.  $e^{-\alpha|x|}\cos(\beta x)$, $e^{-\alpha|x|}\sin (\beta x)$ with $\beta\>0$;
c.  $x e^{-\alpha|x|}$ with $\beta\>0$;
d.  $xe^{-\alpha|x|}\cos(\beta x)$, $x e^{-\alpha|x|}\sin (\beta x)$ with $\beta\>0$.
<!--\end{problem}-->

**[Problem 3.](id:problem-5.2.P.3)**
Let $\alpha\>0$. Find Fourier transforms of

a.  $(x^2+\alpha^2)^{-1}$;
b.  $x(x^2+\alpha^2)^{-1}$;
c.  $(x^2+\alpha^2)^{-1}\cos (\beta x)$,
    $(x^2+\alpha^2)^{-1}\sin(\beta x)$;
d.  $x(x^2+\alpha^2)^{-1}\cos (\beta x)$,
    $x(x^2+\alpha^2)^{-1}\sin(\beta x)$.
<!--\end{problem}-->

**[Problem 4.](id:problem-5.2.P.4)**
Let $\alpha\>0$. Based on Fourier transform of $e^{-\alpha x^2/2}$ find Fourier transforms of

a.  $e^{-\alpha x^2/2}\cos (\beta x)$, $e^{-\alpha x^2/2}\sin (\beta x)$;
b.  $ x e^{-\alpha x^2/2}\cos (\beta x)$, $x e^{-\alpha x^2/2}\sin (\beta x)$.
<!--\end{problem}-->

**[Problem 5.](id:problem-5.2.P.5)**
Find Fourier transforms of

a.  $f(x)=\left\\{\begin{aligned} & 1&& |x|\le a,\\\\
   & 0 && |x|\> a;\end{aligned}\right.$

b.  $f(x)=\left\\{\begin{aligned} & x && |x|\le a,\\\\
  & 0 && |x|\> a;\end{aligned}\right.$

c.  Using (a) calculate $\int\_{-\infty}^\infty \frac{\sin  (x)}{x}\,dx$.
<!--\end{problem}-->


**[Problem 6.](id:problem-5.2.P.6)**

a. Prove the same properties as in [Problem 1](#problem-5.2.P.1) for multidimensional Fourier tramsform (see [Subection 5.2.A](./S5.2.A.html).

b. Prove that $f$ if multidimensional function $f$ has a rotational symmetry (that means $f(Q\mathbf{x})= f(\mathbf{x})$ for all orthogonal transform $Q$) then $\hat{f}$ also has a rotational symmetry (and conversely).

*Note.* Equivalently $f$ has a rotational symmetry if $f(\mathbf{x})$depend only on $|\mathbf{x}|$.
<!--\end{problem}-->

**[Problem 7.](id:problem-5.2.P.7)**
Find multidimenxional Fourier transforms of

a.   $f(x)=\left\\{\begin{aligned} & 1&& |\mathbf{x}|\le a,\\\\
   & 0 && |\mathbf{x}|\> a;\end{aligned}\right.$

b.  $f(x)=\left\\{\begin{aligned} &a-|\mathbf{x}| &&|\mathbf{x}|\le a,\\\\
    &0 &&|\mathbf{x}|\> a,
    \end{aligned}\right.$;
c.  $f(x)=\left\\{\begin{aligned} &a^2-|\mathbf{x}|^2 &&|\mathbf{x}|\le a,\\\\
    &0 &&|\mathbf{x}|\> a,
    \end{aligned}\right.$;
d.  $f(x)=e^{-\alpha |\mathbf{x}|}$.

*Hint.* Using [Problem 6(b)](id:problem-5.2.P.6) observe that we need to find only $\hat{f}(0,\ldots,0, k)$ and use appropriate coordinate system (polar as $n=2$, or spherical as $n=3$ and so one).

*Note.* This problem could be solved as $n=2$, $n=3$ or $n\ge 2$ (any).

___________________

[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\uparrow$](./S5.2.html)&nbsp;&nbsp;[$\Rightarrow$](./S5.3.html)

